


using APT.BaseData.Domain.Entities.FM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using APT.MS.Domain.Entities.PF;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 职业危害评价记录明细表
    /// </summary>
    [Description("职业危害评价记录明细表")]
    public class T_HM_EVALUATE_RESULT_HAZARD : MesEntityBase
    {
        /// <summary>
        /// 风险记录表ID
        /// </summary>
        [Description("风险记录表ID")]
        [DataFieldForeignKey("Nav_EvaluateResult", "Nav_Hazards")]
        public Guid EVALUATE_RESULT_ID { get; set; }

        /// <summary>
        /// 导航属性：风险记录表
        /// </summary>
        [Description("导航属性：风险记录表")]
        public T_HM_EVALUATE_RESULT Nav_EvaluateResult { get; set; }
        /// <summary>
        /// 职业危害名称
        /// </summary>
        [Description("职业危害名称")]
        [DataFieldForeignKey("Nav_Identifying")]
        [FormFieldEdit]
        public Guid IDENTIFYING_ID { get; set; }
        /// <summary>
        /// 导航属性：职业危害名称
        /// </summary>
        [Description("导航属性：职业危害名称")]
        public T_HM_IDENTIFYING Nav_Identifying { get; set; }
        /// <summary>
        /// 职业危害位置
        /// </summary>
        [Description("职业危害位置")]
        [DataFieldLength(100)]
        [FormFieldEdit]
        public string HAZARD_POSITION { get; set; }
        /// <summary>
        /// 辨识区域ID
        /// </summary>
        [Description("辨识区域")]
        [DataFieldForeignKey("Nav_Area")]
        [FormFieldEdit]
        public Guid? AREA_ID { get; set; }
        /// <summary>
        /// 导航属性：辨识区域
        /// </summary>
        [Description("导航属性：辨识区域")]
        public T_HM_RISK_AREA Nav_Area { get; set; }
        /// <summary>
        /// 暴露时间(一位小数)
        /// </summary>
        [Description("暴露时间")]
        [FormFieldEdit]
        public decimal EXPOSURE_TIME { get; set; }
        /// <summary>
        /// 暴露限值(一位小数)
        /// </summary>
        [Description("暴露限值")]
        [DataFieldLength(50)]
        [FormFieldEdit]
        public string EXPOSURE_LIMIT_VALUE { get; set; }
        /// <summary>
        /// 暴露人数
        /// </summary>
        [Description("暴露人数")]
        [FormFieldEdit]
        public int EXPOSURE_NUMBER { get; set; }

        /// <summary>
        /// 可能造成的职业风险ID
        /// </summary>
        [Description("可能造成的职业风险")]
        [DataFieldForeignKey("Nav_OccupationalRisk")]
        [FormFieldEdit]
        public Guid? OCCUPATIONALRISK_ID { get; set; }

        /// <summary>
        /// 导航属性：可能造成的职业风险
        /// </summary>
        [Description("导航属性：可能造成的职业风险")]
        public T_HM_OCCUPATIONAL_RISK Nav_OccupationalRisk { get; set; }

        /// <summary>
        /// 危害等级
        /// </summary>
        [Description("危害等级")]
        [EnumName("HazardLevelEnum")]
        [FormFieldEdit]
        public HazardLevelEnum HAZARD_LEVEL { get; set; }
        /// <summary>
        /// 职业危害库ID
        /// </summary>
        [Description("职业危害库")]
        [DataFieldForeignKey("Nav_EvaluateHazard")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid? EVALUATE_HAZARD_ID { get; set; }

        /// <summary>
        /// 导航属性：职业危害库
        /// </summary>
        [Description("导航属性：职业危害库")]
        public T_HM_EVALUATE_HAZARD Nav_EvaluateHazard { get; set; }
        /// <summary>
        /// 监测措施ID
        /// </summary>
        [Description("监测措施")]
        [DataFieldForeignKey("Nav_MonitorMeasures")]
        [FormFieldEdit]
        public Guid? MONITOR_MEASURES_ID { get; set; }
        /// <summary>
        /// 导航属性：监测措施
        /// </summary>
        [Description("导航属性：监测措施")]
        public T_HM_MONITOR_MEASURES Nav_MonitorMeasures { get; set; }
        /// <summary>
        /// 导航属性：个体防护措施
        /// </summary>
        [Description("导航属性：个体防护措施")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATE_RESULT_HAZARD_INDIVIDUAL_MEASURES> Nav_EvaluateHazardIndividualMeasures { get; set; }

        /// <summary>
        /// 导航属性：工程控制措施
        /// </summary>
        [Description("导航属性：工程控制措施")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATE_RESULT_HAZARD_ENGINEERING_MEASURES> Nav_EvaluateHazardEngineeringMeasures { get; set; }

        /// <summary>
        /// 导航属性：管理控制措施
        /// </summary>
        [Description("导航属性：管理控制措施")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATE_RESULT_HAZARD_MANAGEMENT_MEASURES> Nav_EvaluateHazardManagementMeasures { get; set; }

        /// <summary>
        /// 导航属性：教育培训措施
        /// </summary>
        [Description("导航属性：教育培训措施")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATE_RESULT_HAZARD_EDUCATION_MEASURES> Nav_EvaluateHazardEducationMeasures { get; set; }
        /// <summary>
        /// 导航属性：应急处置措施
        /// </summary>
        [Description("导航属性：应急处置措施")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATE_RESULT_HAZARD_EMERGENCY_MEASURES> Nav_EvaluateHazardEmergencyMeasures { get; set; }
        /// <summary>
        /// 来源 数据库 = 0,修改=1,新增=2
        /// </summary>
        [Description("来源")]
        [EnumName("HMModifyEnum")]
        [FormFieldEdit]
        public HMModifyEnum MODIFY_TYPE { get; set; }
        /// <summary>
        /// 责任单位
        /// </summary>
        [Description("责任单位")]
        [DataFieldForeignKey("Nav_DepartmentLiable")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid? DEPARTMENT_LIABLE_ID { get; set; }
        /// <summary>
        /// 导航属性：责任单位
        /// </summary>
        [Description("导航属性：责任单位")]
        public T_FM_DEPARTMENT Nav_DepartmentLiable { get; set; }
        /// <summary>
        /// 责任岗位
        /// </summary>
        [Description("责任岗位")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_PostLiable")]
        public Guid? POST_LIABLE_ID { get; set; }

        /// <summary>
        /// 导航属性：责任岗位
        /// </summary>
        [Description("导航属性：责任岗位")]
        public T_PF_APPROVAL_ROLE Nav_PostLiable { get; set; }
        /// <summary>
        /// 任务责任人
        /// </summary>
        [Description("任务责任人")]
        [DataFieldForeignKey("Nav_LiableUser")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid? LIABLE_USER_ID { get; set; }
        /// <summary>
        /// 导航属性：任务责任人
        /// </summary>
        [Description("任务责任人")]
        public T_FM_USER Nav_LiableUser { get; set; }
    }
}
